#include <stdio.h>          /* Felder ohne Zeiger  */

/*  4.2.1 Es ist eine Tabelle zu erzeugen, die für p verschiedene Personen die
Noten in f verschiedenen Fächern enthält. Ermitteln Sie:
a) für jede Person die Durchschnittsnote und in welchen Fächern(Nr.)
   sie eine 5 hat,
b) für jedes Fach die Durchschnittsnote und wer(Nr.) in diesem Fach eine 1 hat.
/*----------------------------------------------------------------------------*/
#define pp 10
#define ff 10
int main()
{
   int p, i, j, f, fach;
   float note[pp][ff], pnote, fnote;

   p=4; f=8;     srand(time(0));
   printf("\n\n Noten-Tabelle \n\n Anzahl der Personen= "); scanf("%i", &p);
   printf("\n\n Anzahl der Faecher: "); scanf("%i", &f);
   if( p>pp) p=pp; if(f>ff) f=ff;

   printf("\nPersonen  Noten \n   Fach:");
   for( i=0; i<f; i++) printf("   F%i", i+1); printf("   Durchschnitt\n");

   for( i=0; i<p; i++)
   {  pnote=0; printf("Person%2i:", i+1);
      for( j=0; j<f; j++)
      {  note[i][j]= (rand()%5)+1;
         pnote+= note[i][j];
         printf("   %.0f ", note[i][j]);
      }
      note[i][f]= pnote/f;
      printf(" %5.2f\n", note[i][f]);
   } printf("Fa-Du.: ");

   for( j=0; j<=f; j++)
   {  fnote=0;
      for( i=0; i<p; i++) fnote+= note[i][j];  
      printf("%5.1f", fnote/p);
   } 
  printf("\n\n"); system("PAUSE"); return 0;
}/*---------------------------------------------------------------------------*/
